repos:
  - repo: https://gitlab.com/psa-exe/python-pre-commit
    rev: 0.3.1
    hooks:
      - id: md-toc
        types:
          - file
          - markdown
          - non-executable
          - plain-text
          - text
  - repo: https://github.com/pycqa/isort
    rev: 5.8.0
    hooks:
      - id: isort
        name: isort (python)
  - repo: https://github.com/psf/black
    rev: stable
    hooks:
      - id: black
        language_version: python3.8
  - repo: https://github.com/kynan/nbstripout
    rev: 0.5.0
    hooks:
      - id: nbstripout
